Subject: Re: [PATCH] Makefile: fix misdetection of relative pathnames

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Feb 2009 09:19:31 -0800

Johannes Sixt <[email-masked]> writes:

> That said, I don't think it's worth to cater for this use-case, precisely
> because we want to *avoid* absolute paths on Windows anyway, and apply the
> change that you proposed here.
>
> [*] The reason it does not work is that we cannot use MSYS-style absolute
> paths /c/Foo/Bar because the paths will be interpreted by git, which does
> not understand them; the user must specify drive-letter absolute paths
> c:/Foo/Bar, but the check does not catch them.

Hmm, not c:\Program Files\Git?

In any case, thanks for an Ack.  It clears one remaining issue for -rc0
(and there are certainly others I have forgot).